diff --git a/patch/ipc/yajl_dumps.c b/patch/ipc/yajl_dumps.c
index d5d2a61d..83889fca 100644
--- a/patch/ipc/yajl_dumps.c
+++ b/patch/ipc/yajl_dumps.c
@@ -149,12 +149,14 @@ dump_monitor(yajl_gen gen, Monitor *mon, int is_selected)
       )
     )
 
-    YSTR("bar"); YMAP(
-      YSTR("y"); YINT(mon->bar->by);
-      YSTR("is_shown"); YBOOL(mon->showbar);
-      YSTR("is_top"); YBOOL(mon->bar->topbar);
-      YSTR("window_id"); YINT(mon->bar->win);
-    )
+    if (mon->bar) {
+      YSTR("bar"); YMAP(
+        YSTR("y"); YINT(mon->bar->by);
+        YSTR("is_shown"); YBOOL(mon->showbar);
+        YSTR("is_top"); YBOOL(mon->bar->topbar);
+        YSTR("window_id"); YINT(mon->bar->win);
+      )
+    }
   )
   // clang-format on
 
